f



building php 5.3.2 on aix 5.2

Hi,

I'm trying to build PHP 5.3.2 on AIX 5.2 ML01, gcc & gcc++ 4.0, make 3.8

gmake crashes with the following msg:

collect2: ld returned 254 exit status
gmake: *** [sapi/cli/php] Error 1

PHP 5.0.5 builds fine.

any idea?
TIA
Michael
0
8/9/2007 10:15:35 AM
comp.unix.aix 10963 articles. 1 followers. drkirkby (98) is leader. Post Follow

1 Replies
981 Views

Similar Articles

[PageSpeed] 12

Michal K napisa�(a):
> Hi,
> 
> I'm trying to build PHP 5.3.2 on AIX 5.2 ML01, gcc & gcc++ 4.0, make 3.8
> 
> gmake crashes with the following msg:
> 
> collect2: ld returned 254 exit status
> gmake: *** [sapi/cli/php] Error 1

Of course, PHP version is 5.2.3, in addition here's my configure command

../configure
--prefix=/usr/local/php
--with-apxs2=/usr/local/apache2/bin/apxs
--with-oracle=/path/to/ORACLE_HOME
--with-openssl=/opt/freeware
--disable-xml
--disable-pear
--disable-dom
--disable-simplexml
--enable-mbstring
--enable-calendar

best regards,
M
0
8/9/2007 10:56:20 AM
Reply:

Similar Artilces:

ACE 5.4 build with gcc 3.3.2 on AIX 5.2 fails
I am failed to build ACE 5.4 on AIX 5.2 with gcc3.3.2 (binaries of gcc). I used config-aix5.1.h and platform_aix_g++.GNU. The error message is as following, /usr/linux/bin/ld: target expall not found colloect2: ld returned 1 exit status My guess is that AIX has a limit of 2K on maximum length of line. And the line for linking all the object files at that point is longer than 6000 bytes. Is there any way getting around this? Any help will be greatly appreciated. Thanks in advance. Ying (drycup@yahoo.com) Here are the detailed information, ACE VERSION: 5.4 HOST MACHIN...

Kerberos 5 v1.5.1 on AIX 5.2 or AIX 5.3
Any one had any success compiling KRB5 1.5.1 on AIX 5.2 or 5.3 ? I am experiencing the same errors as a previous poster; but have not seen any solutions. Configure is successful with the following flags: export CC=cc export CFLAGS='-D_LARGE_FILES -DLANL -DLANL_ICN'; export CFLAGS ../configure --prefix=/usr/local/kerberos --enable-dns-for-realm --with-tcl=/usr/local --with-vague-errors Same config I use to compile 1.4.4 successfully with the LANL patches provided by Milton Turley. After running make, I get the following errors: making all in util... making all in util/support... ...

RE: Kerberos 5 v1.5.1 on AIX 5.2 or AIX 5.3
Believe it or not; both solutions seem to work and compilation succeeds ! #define GET_HOST_BY_NAME(NAME, HP, ERR, TMP) \ { \ (HP) = (gethostbyname_r((NAME), &TMP.ent, &TMP.data) \ ? 0 \ : &TMP.data); \ (ERR) = h_errno; \ } Worked and so did... #define GET_HOST_BY_NAME(NAME, HP, ERR, TMP) \ { ...

AIX 5.2 and AIX 5.3
I have an AIX 5.1 system I'm planning on upgrading to either 5.2 or 5.3. I don't have the install media for 5.3 though and I think IBM might charge me to get one so I was thinking of starting with 5.2. However, I had an undesirable experience with 5.2 where I was at ML 4 and had to do a disaster recovery restore. I only had my original 5.2 install media and found that to do a restore from mksysb I had to have 5.2 install media at the ML 4 level or it wouldn't work. Does anyone know if that was an issue with ML 4 or with 5.2? I mean if you have you system at ML 6 on 5....

Aix 5.2 and gcc 3.3
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 Any bleading edgers out there get this to work? Building with BerkeleyDb 4.1.25 and TLS Had some problems with propolice (stack smashing protection) causing gcc to fail. Removed that option and now it compiles but won't link... yeah I know AIX what's new? The configure script for newdb had some of the same errors while testing for mutex's but eventually found configure:17733: result: UI/threads/library Fails with ld: 0711-317 ERROR: Undefined symbol: .mutex_init ld: 0711-317 ERROR: Undefined symbol: .cond_init ld: 0711-317 ERRO...

AIX 5.2/php 5.3.2 'make cli' says it succeeds, but no executable
.... Generating phar.php /bin/sh[14]: /usr/local/SRC/php-5.3.2/sapi/cli/php: not found make: The error code from the last command is 127. # make cli echo '\ \ Target "cli" is up to date. CREDITS config.w32 php_cli_readline.c Makefile.frag php.1 php_cli_readline.h README php.1.in php_cli_readline.lo TODO php_cli.c php_cli_readline.o cli_win32.c php_cli.lo tests config.m4 php_cli.o On Apr 8, 10:50=A0am, tkevans <evanst...@gmail.com> wrot...

KRB5 1.5 or 1.6 compiled on AIX 5.2/5.3 #2
I have seen several emails from different people over the last few months on trying to get KRB5 1.5 or later to compile on AIX 5.x. And no responses that fix the problem. I have had the same problem and can only presume that Kerberos is no longer supported on AIX. Is this the case? No Kerberos on AIX? It just won't compile anymore with the changes to shared libraries. ________________________________________________ Kerberos mailing list Kerberos@mit.edu https://mailman.mit.edu/mailman/listinfo/kerberos >>>>> "Grant," == Grant, Martin <Martin....

perl 5.8.2.0 base fileset is in AIX 5.2 or is in 5.3?
Did this base fileset first appear in 5.2 or did it first appear in 5.3? (I don't have 5.3 hosts, so I can't check that.) Thanks! -Dan Dan Foster wrote: > Did this base fileset first appear in 5.2 or did it first appear in 5.3? > > (I don't have 5.3 hosts, so I can't check that.) > > Thanks! > > -Dan Not really sure, but I think appearance was with 5.3. Checking at my site and found the highest level on a 5.2 machine was 5.8.1.12 - never seen a 5.8.2.0 on a 5.2 machine In article <dqgafi$jfe$1@online.de>, Friedhelm Neyer <Friedhelm.Neyer...

python 2.5.2 or Python 2.6 compilation problem on AIX 5.3
Hello: I am trying to compile Python 2.5.2 on AIX 5.3 with gcc 4.2.3. I am getting following error. (I also tried Python 2.6 with same error) creating build/temp.aix-5.3-2.5/share/tmhsdsd2/tmp/Python-2.5.2/ Modules gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O3 -Wall - Wstrict-prototypes -I. -I/share/tmhsdsd2/tmp/Python-2.5.2/./Include - I. -IInclude -I./Include -I/usr/local/include -I/share/tmhsdsd2/tmp/ Python-2.5.2/Include -I/share/tmhsdsd2/tmp/Python-2.5.2 -c /share/ tmhsdsd2/tmp/Python-2.5.2/Modules/_struct.c -o build/temp.aix-5.3-2.5/ share/tmhsdsd2/tmp/Python-2.5.2/Modules/_...

RE: KRB5 1.5 or 1.6 compiled on AIX 5.2/5.3 #2
Exact same errors specifying --without-tcl. I removed the config.cache, config.log, and etc the reran configure. From my configure line - ../configure --prefix=/usr/local/kerberos --enable-dns-for-realm --without-tcl --with-vague-errors Then after make... making all in lib/rpc/unit-test... Target "all" is up to date. cc -I../../../include -I./../../../include -I. -DKRB5_DEPRECATED=1 -DKRB5_PRIVATE=1 -g -qhalt=e -O _THREAD_SAFE -c client.c cc -I../../../include -I./../../../include -I. -DKRB5_DEPRECATED=1 -DKRB5_PRIVATE=1 -g -qhalt=e -O _THREAD_SAFE -...

mixing AIX 5.2 and AIX 5.3 on power5?
Looks like I may get a p550q soon. I'm not allowed to migrate the existing applications (yet) to 5.3. I want to install a 5.3 LPAR and begin understanding the VIO layers. Can I mix 5.2 and 5.3 LPARs on the same p550q? I know the 5.2 must be at the whole CPU level and the 5.3 could use portions of a single CPU. Anything else? Mike yes you can have 5.2 & 5.3 on different lpars on the same p550, and yes, you need 5.3 to do micropartitioning with the cpu's. with 5.3 you can also run your lpars in uncapped mode so that unused processing units can be accessed by your active partitio...

Building for Mac with 2.5.2 or 2.5.3
What's the educated opinion on porting an application to Mac? We've used 2.4 from CVS for both Windows and Linux but found that there were too many problems with 2.4 when trying to compile on Mac ... now we're not sure if 2.5.3 is a moving target on Mac or should we try staying with 2.5.2? Any expert opinions out in the wild? ....Landon --------------------------------------------------------------------- To unsubscribe, e-mail: wx-users-unsubscribe@lists.wxwidgets.org For additional commands, e-mail: wx-users-help@lists.wxwidgets.org Hi Please use CVS HEAD...

Compiling Python 2.5.2 on AIX 5.2
I'm investigating the possible use of Mecurial SCM as a replacement for CVS. Mecurial is written in Python. I have a background in GNU/ Linux, Solaris, sparc and Perl. However AIX, powerpc and Python are new to me. --uname output-- $ uname -rvp 2 5 powerpc --end uname output-- I used this script to compile Python: --script-- export PATH=/usr/bin:/usr/vacpp/bin export CC=xlC_r export OBJECT_MODE=32 gunzip -c Python-2.5.2.tar.gz | tar xvf - cd Python-2.5.2 ../configure --with-gcc="xlc_r" --with-cxx="xlC_r" \ --disable-ipv6 AR="ar" --prefix=$HOME...

[ace-bug] Compile ACE 5.4 on AIX 5.2 with gcc 3.3.2
Failed to build ACE 5.4 on AIX 5.2 with gcc3.3.2 Used config-aix5.1.h and platform_aix_g++.GNU I failed with ACE5.1, 5.3 too, so I tried 5.4. Does anybody know IF it works ? Could it help to build my own AIX5.2 gcc ? (my gcc 3.3.2 is binary AIX 5.1 but it worked fine for Non-ACE- applications) Do I have to use IBM Visual C++ Compiler ? Any suggestions would be helpful. ACE VERSION: 5.4 HOST MACHINE and OPERATING SYSTEM: RS/6000, 32-bit-kernel mode, AIX5.2 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): ...

Problems building Apache-1.3.33 on AIX 5.2/5.3
Hello all, I am getting the following errors while building apache 1.3.33 on my AIX 5.2 and 5.3 machines:- ===> src/main gcc -c -I../os/unix -I../include -DAIX=520 -U__STR__ -DAIX_BIND_PROCESSOR -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED `../apaci` http_main.c In file included from http_main.c:597: /usr/include/pthread.h:556: error: parse error before '*' token /usr/include/pthread.h:559: error: parse error before '*' token /usr/include/pthread.h:563: error: parse error before '*' token /usr/include/pthread.h:566: error: parse error befo...

building php5.3.2 on AIX 5.2
Hi, I'm trying to build php5.3.2 on aix 5.2, gcc & gcc++ 4.0, make 3.8 gmake crashes with the following msg: collect2: ld returned 254 exit status gmake: *** [sapi/cli/php] Error 1 any idea? TIA Michael ...

Building ACE 5.3 for AIX 5.2
Does anyone successfully built ACE 5.3 for AIX 5.2 with #define ACE_HAS_AIO_CALLS option enabled? Any help is appreciated. Thanks in advance. SysAdmin luda wrote: > Does anyone successfully built ACE 5.3 for AIX 5.2 with #define > ACE_HAS_AIO_CALLS option enabled? > Any help is appreciated. > > Thanks in advance. > SysAdmin You read the rather daunting comment in config-aix5.1.h? // AIX 5.1 as AIO, but it doesn't have the same API as other POSIX // systems, and the semantics of operatons are a bit different. Will // take some real work to get this going. // #define ACE...

Looking for AIX 5.2 binaries, IS anyone running Ruby on AIX 5.2 ??
Looking for AIX 5.2 binaries, IS anyone running Ruby on AIX 5.2 ?? Regards Bryan Webb On Fri, 8 Jul 2005 bww00amdahl@yahoo.com wrote: > Looking for AIX 5.2 binaries, IS anyone running Ruby on AIX 5.2 ?? We are still running 5.1 here at work and planning to go directly to 5.3 later on this year. -- Matt Nothing great was ever accomplished without _passion_ bww00amdahl@yahoo.com wrote: > Looking for AIX 5.2 binaries, IS anyone running Ruby on AIX 5.2 ?? > We are running ruby 1.8.3 on AIX 5.2. It's more easier to build ruby on AIX with the 1.8.3 version. But you will ha...

Can I restore Aix 5.3 backup with Aix 5.2 boot and...?
Hello, Situation: At home I have RS6000 that I bought for educational purpose. The model is IBM RS/6000 7044-170 that has AIX 5.3 installed. As I am really a beginner in the Unix based operating systems field, I presume there will be a lot of backup/restore procedures in the begining. At home I have 2 desktop computers running Windows XP Home in network with the RS 6000. Unfortunately the server doesn't have tape drive, but only CD and floppy. I have already made a backup with mksysb, excluding the filesystem that the backup is going to be in. Questions: 1. Please, advise me how can I rest...

Can a volume group under AIX 5.3 be imported under AIX 5.2?
Can a volume group that has been created under AIX 5.3 be imported under AIX 5.2? Thanks, PG On Thursday 08 December 2005 17:03, Philip Greer wrote: > Can a volume group that has been created under AIX 5.3 be > imported under AIX 5.2? See the -I flag in the chvg manpage. Dmitri On 2005-12-08, Philip Greer <Emittim3@comcast.net> wrote: > Can a volume group that has been created under AIX 5.3 be imported under > AIX 5.2? This is explained in the manpage of mkvg and chvg on AIX 5.3. -- Jurjen Oskam ...

python 2.5 build problem on AIX 5.3
Is there a known problem with ctypes module on AIX? Google did not help me to find anything. Here is part of the output from "make": building '_ctypes' extension xlc_r -q64 -DNDEBUG -O -I. -I/gpfs/m2/home/wx22gt/tools/src/Python-2.5-cc/./Include -Ibuild/temp.aix-5.3-2.5/libffi/include -Ibuild/temp.aix-5.3-2.5/libffi -I/gpfs/m2/home/wx22gt/tools/src/Python-2.5-cc/Modules/_ctypes/libffi/src -I/u/wx22gt/tools/Python-2.5-cc/include -I./Include -I. -I/gpfs/m2/home/wx22gt/tools/src/Python-2.5-cc/Include -I/gpfs/m2/home/wx22gt/tools/src/Python-2.5-cc -c /gpfs/m2/home/wx22gt...

Changing (1,2,3,4,5...) to (1,1,2,2,3,3,4,4,5,5...)
Hi All, I have a column vector of numbers that I would like to extrapolate by "doubling up": e.g. turn 2 4 6 8 into: 2 2 4 4 6 6 8 8 any ideas on an easy vectorised way to do this? TIA, Rob v=repmat([2; 4; 6; 8].',2,1); v=v(:) "Robert Barrie" <askme@ifuwant.com> wrote in message <hlt7kp$rut$1@fred.mathworks.com>... > Hi All, > > I have a column vector of numbers that I would like to extrapolate by "doubling up": > > e.g. turn > 2 > 4 > 6 > 8 > > into: > 2 > 2 > 4 > 4 > 6 > 6 > 8 >...

c program migrate from aix 3.2 to aix 5.2 ,compile error
Hi, I have a program , had run on aix 3.2 for ten years normally. and try to migrate to aix 5.2 recently. when compile, I got the warning messages, though it can run. the program I list below is simplified and edited from the source program. $ cat test.c #include <signal.h> void func(); main() { func(); printf("test\n"); } void func() { signal(SIGPIPE,func); } $ cc test.c "test.c", line 12.20: 1506-280 (W) Function argument assignment between types " void(*)(int)" and "void(*)()" is not allowed. Even I change "void func();"...

Can not install/compile DBI/DBD on AIX 5.3 or AIX 5.2
Im at my wits end here and need serious help as time is running out. Ive just installed a new box with AIX 5.3 and it included IBM's flavor of Perl 5.8.2 I can not install the Bull version of DBI as it expects an older version of Perl with a different layout. Note: Ive tried faking it out without success. So I'm now trying to compile the DBI source. I keep getting the follow errors with DBI and other modules: /usr/opt/perl5/lib/5.8.2/aix-thread-multi/CORE/reentr.h:619: error: field `_drand48_struct has incomplete type /usr/opt/perl5/lib/5.8.2/aix-thread-multi/CORE/reentr.h:727: ...

Web resources about - building php 5.3.2 on aix 5.2 - comp.unix.aix

Auditorium Building - Wikipedia, the free encyclopedia
... -87.6251722 Coordinates : 41°52′33.95″N 87°37′30.62″W  /  41.8760972°N 87.6251722°W  / 41.8760972; -87.6251722 The Auditorium Building in ...

Residents evacuated as building collapses on Liverpool Road in Enfield
About 40 residents have been evacuated from their homes in Sydney's inner west after a two-storey building near a construction site started to ...

It took Verizon seven months to fix Internet outage in NYC building
... in Harlem. (credit: Vernon Williams) Last summer, a manhole fire knocked out Verizon telephone and DSL Internet service at an apartment building ...

Closer look: Google's new building has the space – and perks – to add 900 employees
Google’s Kirkland campus was already the company’s third-largest engineering outpost when it broke ground on a new building nearly three years ...

About 100 Workers Walk Out at Tesla Battery Plant Building Site
At least 100 workers at the construction site for Tesla Motors Inc.’s battery factory near Reno, Nevada, walked off the job Monday to protest ...

Hillary: ‘We Don’t Need to Make America Great,’ ‘Instead of Building Walls, We Need To Be Tearing Down ...
Hillary: 'We Don't Need to Make America Great,' 'Instead of Building Walls, We Need To Be Tearing Down Barriers'

The biggest challenge building a mobile app has nothing to do with how the app works
... chart from BI Intelligence , based on a survey by mobile advertising firm InMobi , shows the biggest challenge app developers face in building ...

L.A. skyscraper building slide 70 floors above ground
Downtown L.A. skyline is about to get a whole lot more exciting and possibly a little scary for anyone afraid of heights

Should Christians let Muslims use their buildings?
A Church of Scotland minister has spoken of the backlash he suffered after he opened his church for Muslim Friday prayers after the local mosque ...

Trump: Everything But Building The Wall Is Negotiable
Trump: Everything But Building The Wall Is Negotiable

Resources last updated: 3/3/2016 1:32:06 AM